
<p>Razmotrimo li građu kompleksnijih digitalnih sustava, uočit ćemo da su oni građeni od jednostavnijih podsustava. Na dovoljno niskoj razini često ćemo i unutar istog digitalnog sustava pronaći više identičnih digitalnih podsustava koji obavljaju određene korisne funkcije. Takve podsustave nazivamo <em>modulima</em>.</p>

<p><em>Kombinacijski moduli</em> su digitalni podsustavi čiji su izlazi složenije Booleove funkcije (složenije u smislu da nisu elementarne funkcije poput logičkog I, logičkog ILI i slično). Ovakvi moduli tipično su dostupni kao MSI ili LSI komponente izvedene kao zasebni čipovi koje je moguće nabaviti.</p>

<p>Kombinacijske module možemo podijeliti na specijalne i standardne.</p>

<p><span class="li-inline-definition">Specijalni kombinacijski moduli</span> su kombinacijski moduli koji se pojedinačno razvijaju za specifične zadatke koje trebaju obavljati u sustavu u kojem će biti korišteni. Takvi se moduli prilagođavaju ciljnom sustavu i optimiraju uzimajući u obzir način njihove uporabe u ciljnom sustavu. Budući da se proizvode samo za ciljni sustav, proizvode se u manjem broju primjeraka pa im je cijena visoka.</p>

<p><span class="li-inline-definition">Standardni kombinacijski moduli</span> su kombinacijski moduli opće namjene koji nude funkcije koje se tipično koriste u mnogim digitalnim sustavima. Kako je zbog toga potražnja za takvim modulima velika, proizvode se u velikim serijama pa imaju prihvatljivo nisku cijenu.</p>

<p>Koje su to funkcije koje tipično nude standardni kombinacijski moduli? Najčešće su pobrojane u nastavku.</p>

<ul class="mlSpread">
<li>Kodiranje podataka. Sklop ima onoliko ulaza koliko postoji simbola u domeni a onoliko izlaza koliko bitova ima kodna riječ; korisnik može aktivirati ulaz koji odgovara željenom simbolu i na izlazu dobiva binarni uzorak kojim je u implementiranom kodu kodiran taj simbol. Moduli koji nude ovu uslugu nazivaju se <em>koderi</em>.</li>
<li>Dekodiranje kodnih riječi. Sklop obavlja inverznu operaciju od kodera. Ima onoliko ulaza koliko bitova ima kodna riječ te onoliko izlaza koliko u domeni ima simbola. Korisnik na ulaz dovodi kodnu riječ a sklop na izlazu aktivira izlaz koji odgovara simbolu koji ta kodna riječ predstavlja. Moduli koji nude ovu uslugu nazivaju se <em>dekoderi</em>.</li>
<li>Biranje podataka. Radi se o sklopovima koji imaju određen broj podatkovih ulaza, adresni ulaz te jedan izlaz. Korisnik na razne podatkovne uzlaze postavlja različite podatke te na adresni ulaz postavlja adresu koja određuje s kojeg se podatkovnog ulaza podatak preslikava na izlaz (svi ostali podatci se zanemaruju). Moduli koji nude ovu uslugu nazivaju se <em>multipleksori</em>.</li>
<li>Uspoređivanje binarnih uzoraka. Radi se o sklopovima imaju dva <i>n</i>-bitna ulaza i omogućavaju da korisnik na njih dovede dva binarna uzorka. U najjednostavnijem slučaju, ovi sklopovi će ponuditi izlaze na kojima će dojaviti jesu li ta dva binarna uzorka (gledano odgovarajuće bitove) jednaka ili su različita. Moduli koji nude ovu uslugu nazivaju se <em>komparatori</em>. Aritmetički komparatori binarne uzorke tretiraju kao binarno kodirane brojeve pa nude i dojavu informacije je li prvi broj veći od drugog broja odnosno je li manji od drugog broja.</li>
<li>Provođenje aritmetičkih operacija. Radi se o sklopovima koji uobičajeno imaju po dva <i>n</i>-bitna ulaza (moguće još nešto dodatnih ulaza ovisno o izvedbi) a na izlazu generiraju rezultat provođenja neke aritmetičke operacije nad brojevima čiji su kodovi dovedeni na ulaze. Moduli koji nude ovakve usluge nazivaju se, ovisno o usluzi koju nude, <em>višebitna zbrajala</em>, <em>višebitna množila</em>, <em>sklopovi za posmak</em> itd. Ovdje bismo mogli izdvojiti i ponešto kompleksniji modul koji ima dodatne ulaze kojima može definirati koju operaciju treba provesti; tada govorimo o <em>aritmetičko-logičkim jedinicama</em>.</li>
</ul>

